/* pages/my/my.wxss */
body{margin:0 auto;padding:0px;}
html {font-size: 64px !important;}
.index_out{width:100%;height:auto;}
.user_out{width:100%;height:140px;background: linear-gradient(115deg, #e9a72e, #e7a325, #eca218, #e79a0b);color:#fff;overflow: hidden;}
.setting_out{width:90%;padding-left: 5%;padding-right: 5%;height:30px;}
.setting_icon{width: 24px;height: 24px;float: right;margin-top:6px;}
.user_head_nick_out{width:90%;padding-left: 5%;padding-right: 5%;height:70px;}
.user_header{float: left;width:50px;height:50px;font-size:12px;}
.user_head{width:40px;height:40px;border-radius: 50%;margin:5px;}
.user_nickname_phone{float: left;width:calc(100% - 60px);margin-left:10px;height:50px;}
.user_nickname{width:100%;height:30px;line-height: 30px;font-size:14px;float: left;}
.user_phone{width:100%;height:20px;line-height: 20px;font-size:12px;float: left;}
.user_tip{width:90%;height:40px;margin-left:5%;margin-right:5%;background: linear-gradient(115deg, #7a7976, #646462, #41403f, #1f1e1e);color:#fff;font-size:12px;border-top-left-radius: 5px;border-top-right-radius: 5px;}
.user_tip_l{width:68%;float: left;height:40px;line-height: 40px;margin-left:2%;font-size:12px;color:rgb(233, 196, 148)}
.user_tip_r{width:28%;float: left;height:40px;line-height: 40px;color:rgb(233, 196, 148);font-size:12px;text-align: right;margin-right:2%;}


.layui-layer-content{line-height:60px !important;font-size:25px !important;}
.layui-layer-btn0{font-size:18px !important;}
.layui-layer-btn1{font-size:18px !important;}


.my_order_out{border-radius:5px;width:calc(100% - 20px);margin-left: 10px;margin-right: 10px;background-color: #fff;height:auto;padding-bottom: 15px;}
.my_order_top{width:calc(100% - 20px);height:40px;margin-left: 10px;margin-right: 10px;margin-top:10px;}
.my_order_top_l{width:50%;height:40px;line-height: 40px;font-size:14px;float: left;}
.my_order_top_r{color:#999;width:50%;height:40px;line-height: 40px;font-size:12px;float: left;text-align: right;}
.my_order_list{
  width:calc(100% - 20px);
  margin-left:10px;
  margin-right:10px;
  display: flex;    
  flex-wrap: wrap;
  background-color: #fff;
  Box-sizing: border-Box;    
  font-size: 9pt;
  }
.navBtn{
  width: calc(20% - 5px);   
  text-align: center;    
  padding-top: 3px;
  Box-sizing: border-Box;
  margin-left:5px;
  float: left;
}
.navImg{
  display:block;    
  width: 25px;    
  height:25px;
  padding-top:10px;
  padding-left:10px;
  padding-right:10px;
  padding-bottom:2.5px;
  margin:0 auto;    
}
.navName{
  font-size:12px;
  padding: 2.5px 0;
}

.mask{
  width:100%;
  height:100%;
  position: fixed;
  top:0;
  left:0;
  background:#000;
  z-index:1000000;
  opacity:0.7;
  display:none;
}
.auth_out{
  width: 100%;
  height:400px;
  background-color: #fff;
  position: fixed;
  bottom:0;
  z-index:1000001;
  display:none;
}
.login_out_top{
	width:96%;
	margin-left:2%;
	margin-right:2%;
	height:40px;
	border-bottom:1px solid #f3f3f3;
}
.close_div{
	width:40px;
	height:40px;
	float:right;
}
.close_div img{
	margin-left:15px;
	width:24px;
	height:24px;
	margin-top:8px;
	margin-bottom:8px;
}

.setp_out{
  width:100%;
  height:130px;
}
.setp_one{
  width:50%;
  margin-left:25%;
  height:20px;
}
.setp_one_l{
  width:20px;
  height:20px;
  float: left;
}
.icon_n{
  width:20px;
  height:20px;
}
.setp_one_r{
  float: left;
  width:calc(100% - 25px);
  height:20px;
  font-size:12px;
  line-height: 20px;
  margin-left: 5px;
}
.setp_line{
  width:50%;
  margin-left:25%;
  margin-right:25%;
  height:30px;
}
.line_inner{
  width:1px;
  background-color: #384c1f;
  height:26px;
  margin-left:9px;
  margin-top:2px;
}
.setp_tow{
  width:50%;
  margin-left:25%;
  height:20px;
}
.setp_tow_l{
  width:20px;
  height:20px;
  float: left;
}
.setp_tow_r{
  float: left;
  width:calc(100% - 25px);
  height:20px;
  font-size:12px;
  line-height: 20px;
  margin-left: 5px;
}
.setp_three{
  width:50%;
  margin-left:25%;
  height:20px;
}
.setp_three_l{
  width:20px;
  height:20px;
  float: left;
}
.setp_three_r{
  float: left;
  width:calc(100% - 25px);
  height:20px;
  font-size:12px;
  line-height: 20px;
  margin-left: 5px;
}
.over_color{
  color:#999;
}
.auth_btn_out{
  width:100%;
  height:80px;
  margin-top:15px;
}
.auth_btn{
  display: block;
  width:80%;
  margin-left:10%;
  margin-right:10%;
  background-color: #384c1f;
  color:#fff;
  border-radius: 5px;
  margin-top:15px;
  text-align: center;
  font-size:14px;
  overflow: hidden;
  height:40px;
  line-height: 0px;
  display: flex;
  align-items: center;
  justify-content: center;
  border:0px;
}
.cancle_btn{
  width:80%;
  margin-left:10%;
  margin-right:10%;
  height:40px;
  line-height: 40px;
  background-color: #da7e07;
  color:#eee;
  border-radius: 5px;
  margin-top:15px;
  text-align: center;
  font-size:14px;
  line-height: 0px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.auth_protral{
  width:100%;
  height:30px;
  font-size:12px;
  color:#666;
  margin-top:10px;
}
.auth_protral_tip{
  width:80%;
  height:30px;
  line-height: 30px;
  margin-left: 10%;
  margin-right: 10%;
}
.auth_protral_tip_ll{
  float: left;
  height:30px;
  font-size:12px;
}
.auth_protral_tip_l{
  float: left;
  height:30px;
  font-size:12px;
}
.auth_protral_tip_m{
  float: left;
  height:30px;
  font-size:12px;
  color: #ee4705;
  padding-left:5px;
}
.auth_protral_tip_r{
  float: left;
  height:30px;
  font-size:12px;
  color: #ee4705;
  padding-left:5px;
}
/* 未选中的背景样式 */
checkbox .wx-checkbox-input{
  width: 40rpx; 
  height: 40rpx; 
  border-radius: 50%;
}

/* 选中后的背景样式 */
checkbox .wx-checkbox-input.wx-checkbox-input-checked{
  border: none;
  background: #37C674;
}

/* 选中后的勾子样式 */
checkbox .wx-checkbox-input.wx-checkbox-input-checked::before{
  width: 40rpx;
  height: 40rpx;
  line-height: 40rpx;
  border-radius: 50%;
  text-align: center;
  font-size:32rpx; 
  color:#FFF; 
  background: transparent;
  transform:translate(-50%, -50%) scale(1);
  -webkit-transform:translate(-50%, -50%) scale(1);
}
.custom_out{
  width:100%;
  height:300px;
  background-color: #fff;
  position: fixed;
  bottom:0;
  z-index: 100000000001;
}
.custom_out image{
  width:200px;
  height:200px;
  margin-left:calc(50% - 100px);
  margin-top:20px;
}
.my_card_out{
  width: 100%;
  height:90px;
}
.my_card{
  width: 90%;
  height: 90px;
  margin-left: 5%;
  margin-right: 5%;
 /* background: linear-gradient(115deg, #e4aa98, #dc8062, #d65c36, #f73d03);*/
  background:linear-gradient(115deg, #7a7976, #646462, #41403f, #1f1e1e);
  color: #fff;
  font-size: 12px;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}
.my_card_t{
  width: 96%;
  float: left;
  height: 30px;
  line-height: 30px;
  margin-left: 2%;
  margin-right: 2%;
  font-size: 12px;
  color: rgb(233, 196, 148);
}
.my_card_m{
  width: 96%;
  float: left;
  height: 25px;
  line-height: 25px;
  margin-left: 2%;
  margin-right: 2%;
  font-size: 12px;
  color: rgb(233, 196, 148);
}
.my_card_b{
  width: 96%;
  float: left;
  height: 25px;
  line-height: 25px;
  margin-left: 2%;
  margin-right: 2%;
  font-size: 12px;
  color: rgb(233, 196, 148);
}

.user_phone_out{
	width:100%;
	height:35px;
	margin-top:10px;
}
.user_phone_out input{
	width:90%;
	height:35px;
	margin-left:5%;
	margin-right:5%;
	font-size:14px;
	border:1px solid #f3f3f3;
	text-indent:10px;
}
.user_pwd_out{
	width:100%;
	height:35px;
	margin-top:10px;
}
.user_pwd_out input{
	width:90%;
	height:35px;
	margin-left:5%;
	margin-right:5%;
	font-size:14px;
	border:1px solid #f3f3f3;
	text-indent:10px;
	
}
.user_repwd_out{
	width:100%;
	height:35px;
	margin-top:10px;
}
.user_repwd_out input{
	width:90%;
	height:35px;
	margin-left:5%;
	margin-right:5%;
	font-size:14px;
	border:1px solid #f3f3f3;
	text-indent:10px;
}
.user_code_out{
	width:100%;
	height:35px;
	margin-top:10px;
}
.user_code_out_l{
	float:left;
	width:54%;
	height:35px;
	margin-left:5%;
}
.user_code_out_l input{
	width:100%;
	height:35px;
	font-size:14px;
	border:1px solid #f3f3f3;
	text-indent:10px;
}
.user_code_out_r{
	float:left;
	width:36%;
	height:35px;
	margin-left:2%;
	margin-right:3%;
}
.user_code_out_r button{
	width:90%;
	height:35px;
	margin-left:5%;
	margin-right:5%;
	font-size:14px;
	text-align:center;
	background-color:#d17d0f;
	color:#fff;
	border:0px;
}
.gonowreg{width:100%;height:40px;line-height:40px;text-align:center;font-size:14px;}
.gonowlogin{width:100%;height:40px;line-height:40px;text-align:center;font-size:14px;}

/* 添加必要的样式来确保国旗显示 */
.country-option {
	display: flex;
	align-items: center;
	padding: 15px;
}

.country-option span {
	margin-left: 10px;
}

.flag-icon {
	width: 20px;  /* 调整大小 */
	height: 20px;
	display: inline-block;
}
.select2-container {
    z-index: 100000000;
}
.select2-container--default .select2-selection--single{
	height:35px !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
	height:35px !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
	height:35px !important;
	line-height:35px !important;
}